/****************************************************************************************
 * KF8A系列单片机	KF8A100GQT_DEMO	开发板演示程序
 * 标    题: 高低压监测控制器实验
 * 项目名: 09- HLVD_Sample
 * 开发环境：ChipON IDE
 * 版          本     ：V1.0 (2019/07/23)
 * 作 者: 上海芯旺微电子有限公司
 * 功能简述:在电压低于设置的跳变点，进入中断，用IO跳变显示。
 * 硬件说明：
 ****************************************************************************************/
#include<KF8A100GQT.h>
#include "includes.h"

volatile uint16 T1_count;
void delay_ms(uint16 num)
{
	uint16 i,j;
	for(i=0;i<num;i++)
	{
		j=100;
		while(j--);
	}
}

void SYS_Init(void)
{
	//使用外部晶振时，引脚配置输入，配置字选择外部时钟且允许切换
	SCLKCTL = SYSYCLK_SEL_SCKS|SYSCLK_SCLK_SEL_INTHF|SYSCLK_FREQ_DIV1;	//INTHF作为主时钟
	_NOP();_NOP();	//高速时钟稳定
	PLLEN=0;
	PLLCTL = PLL_SEL_DIV1|PLL_SEL_INTHF|PLLBIAS_CUR_MIN|PLLPMUL_2;
	PLLEN=1;
	delay_ms(200);
	SCLKCTL|=SYSYCLK_SEL_SCKS|SYSCLK_SCLK_SEL_UPCK;		//UPCK作为主时钟	32M
	SCLKOE = 0;		//机器周期禁能输出,输出波形与IO翻转速率相关
	CLKOUTSEL = 0;
	HFCKCTL = 0xCE;	//外设时钟开启,选择INTHF为HFCLK时钟信号

	TR0 = 0;	TR1	= 0;	TR2	= 0;	TR3 = 0;
	TR4 = 0;	TR5 = 0;	TR6 = 0;	TR7 = 0;
	TR9 = 0;	TRA = 0;	TRB = 0;
	P0LR = 0;	P1LR = 0;	P2LR = 0;	P3LR = 0;
	P4LR = 0;	P5LR = 0;	P6LR = 0;	P7LR = 0;
	P9LR = 0;	PALR = 0;	PBLR = 0;
}

void main()
{
	uint8 i=0;
	SYS_Init();
	Timer1_Init();
	HLVD_Config_Init();
	//总中断开启
	AIE=1;
	PUIE=1;

	while(1)
	{

	}

}


//中断函数0:0X04入口地址
void int_fun0() __interrupt (0)
{
    if(HLVDIF&&HLVDIE)   //电压越过跳变点时，中断标志位置1
    {
   	 P4LR6=!P4LR6;		 //用于观察
   	 HLVDIF=0;
    }
}


//中断函数1:0x14入口地址
void int_fun1() __interrupt (1)
{

}
